<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");
include_once("../inc/fic_dloc.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/fic_fici.inc.php");
include_once("../inc/fic_int.inc.php");
include_once("../inc/fic_txt.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_txtcm.inc.php");
include_once("../inc/func_mail.inc.php");
include_once("../classes/phpmailer/class.phpmailer.php");
include_once("mail.inc.php");
include_once("../classes/dirtool/class_dirtool.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = stripslashes(strip_tags(trim(@$_POST["titre"])));
$td = strip_tags(trim(@$_POST["td"]));
$codeage = strip_tags(trim(@$_POST["codeage"]));

$nom = str_majuscules(str_escape(trim(@$_POST["nom"])));
$adr1 = str_majuscules(str_escape(trim(@$_POST["adr1"])));
$adr2 = str_majuscules(str_escape(trim(@$_POST["adr2"])));
$dep = strip_tags(trim(@$_POST["dep"]));
$ville = str_majuscules(strip_tags(trim(@$_POST["ville"])));
$pays = str_majuscules(strip_tags(trim(@$_POST["pays"])));
$telf = strip_tags(trim(@$_POST["telf"]));
$fax = strip_tags(trim(@$_POST["fax"]));
$rcivil = strip_tags(trim(@$_POST["rcivil"]));
$rprenom = str_escape(trim(@$_POST["rprenom"]));
$rnom = str_escape(trim(@$_POST["rnom"]));
$rtelf = strip_tags(trim(@$_POST["rtelf"]));
$email = strtolower(strip_tags(trim(@$_POST["email"])));
$emaild = strtolower(strip_tags(trim(@$_POST["emaild"])));
$emails = strtolower(strip_tags(trim(@$_POST["emailc"])));
$actif = strip_tags(trim(@$_POST["ouvert"]));
if ($actif == "Oui")
	$ouvert = TRUE;
else
	$ouvert = FALSE;

$retourliste = TRUE;

$msg = "";

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

switch ($td)
{
	// Ajout de la fiche dépôt
	case "add" :
		$rech = "SELECT * FROM " .TBDLOC. " WHERE dloc_nom = '$nom'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			$rech2 = "INSERT INTO " .TBDLOC;
			$rech2 .= " (dloc_datecrea,dloc_nom,dloc_adr1,dloc_adr2,dloc_dep,dloc_ville,dloc_codepays,dloc_telf,dloc_fax,dloc_resp_civilite,dloc_resp_prenom,dloc_resp_nom,dloc_resp_telf,dloc_email,dloc_emaild,dloc_emails,dloc_ouvert,dloc_datec) VALUES";
			$rech2 .= " ('$datea','$nom','$adr1','$adr2','$dep','$ville','$pays','$telf','$fax','$rcivil','$rprenom','$rnom','$rtelf','$email','$emaild','$emails','$ouvert','$datea')";
			$rs2 = mysql_query($rech2) or die(mysql_error());
			$msg = $txt_fiche_add;
		}
		else
		{
			$msg = "Ce nom existe d&eacute;j&agrave; !";
			$retourliste = FALSE;
		}
		mysql_close($conn);
		break;
		
	case "edit" :
		mysql_close($conn);
		if ($codeage=="")
		{
			$existpdtloc = FALSE;
		
			if ($ouvert == FALSE) // Si fermeture de dépôt, quelques contrôles sont nécessaires
			{
				// Vérifie si utilisé dans un produit de location louable
				if (exist_dloc_in_pdtloc_louable($nom,TRUE) == TRUE)
				{
					$existpdtloc = TRUE;
					$msg = "Il faut d'abord clore passer les produits de ce d&eacute;p&ocirc;t en 'non louable' ou les changer de d&eacute;p&ocirc;r.";
					$retourliste = FALSE;
				}
			}
						
			if ($existpdtloc == FALSE)
			{
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
		
				// MAJ de la fiche dépôt
				$rech2 = "UPDATE `" .TBDLOC. "` SET `dloc_adr1`='".$adr1."', `dloc_adr2`='".$adr2."',";
				$rech2.= " `dloc_dep`='".$dep."',`dloc_ville`='".$ville."',`dloc_codepays`='".$pays."', `dloc_telf`='".$telf."',";
				$rech2.= " `dloc_fax`='".$fax."', `dloc_resp_civilite`='".$rcivil."', `dloc_resp_prenom`='".$rprenom."',";
				$rech2.= " `dloc_resp_nom`='".$rnom."', `dloc_resp_telf`='".$rtelf."', `dloc_email`='".$email."',";
				$rech2.= " `dloc_emaild`='".$emaild."', `dloc_emails`='".$emailc."', `dloc_ouvert`='".$ouvert."'";
				$rech2.= "   WHERE `dloc_nom` = '".$nom."'";
				$rs2 = mysql_query($rech2) or die(mysql_error());
				
				$msg = $txt_fiche_mod;
	
				mysql_close($conn);
			}
		}
		else 
		{
			$msg = "Impossible de modifier un d&eacute;p&ocirc;t d'agence.";
			$retourliste = FALSE;
		}
		break;
		
	// Suppression de la fiche dépôt
	case "del" :
		mysql_close($conn);
		if ($codeage=="")
		{
			$existpdtloc = FALSE;
		
			// Vérifie si utilisée dans une fiche produit à louer
			if (exist_dloc_in_pdtloc($nom,TRUE) == TRUE)
			{
				$existcoloc = TRUE;
				$msg = "Ce d&eacute;p&ocirc;t est utilisé dans une fiche produit à louer<br>Vous ne pouvez donc pas le supprimer (Il suffit de le passer en mode 'fermé').";
				$retourliste = FALSE;
			}
			
			if ($existpdtloc == FALSE)
			{
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
		
				// SUPPRESSION de la fiche dépôt agence
				$rech = "DELETE FROM `" .TBDLOC. "` WHERE `dloc_nom` = '$nom'";
				$rs = mysql_query($rech) or die(mysql_error());
	
				// mysql_free_result($rs);
				mysql_close($conn);
		
				$msg = $txt_fiche_del;
			}
		} 
		else 
		{
			$msg = "Impossible de supprimer un d&eacute;p&ocirc;t d'agence.";
			$retourliste = FALSE;
		}
		break;
		
	default :
		break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Fiche D&eacute;p&ocirc;t de Location</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
<body>

<?php 
include_once("../inc/entete.inc.php"); 
?>
<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if ($retourliste==FALSE)
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg ?>
</span>
</p>

<?PHP
if ($retourliste == FALSE) 
	aff_ret_idx_man($td,"dloc_lst.php",$txt_lnk_ret_liste,TRUE);
else
{
?>
<p align="center" class="annot_std_it">Merci de patienter 2 secondes...</p>
<script type="text/javascript">
<!--
window.setTimeout("location=('dloc_lst.php');",2000)
//-->
</script>
<?PHP
}
include_once("pied.php");
?>
